Subject: Re: bug#42761: 28.0.50; [feature/native-comp] allow customizing command line/driver options?

From: Andreas Fuchs <[email-masked]>
Date: Sat, 8 Aug 2020 16:29:20 -0400

On Sat, Aug 8, 2020 at 3:31 PM Andrea Corallo <[email-masked]> wrote:
> Regarfing the gcc version: ne option would be to just ifdef the body of
> add_driver_options using
> LIBGCCJIT_HAVE_gcc_jit_context_add_command_line_option and making clear
> that the customize is effective only with GCC>=9.
>
> But I think would be better to raise an error if
> comp-native-driver-options is not empty and
> gcc_jit_context_add_command_line_option is not available.
>
> I think we should make this clear in the customize doc.

Agreed - that makes sense. I've adjusted the patch accordingly, and
de-untabified the files that I touched (sorry about the whitespace churn,
leftover customization from another C codebase):

https://github.com/emacs-mirror/emacs/compare/feature/native-comp...antifuchs:allow-setting-driver-options

> Do you already have copyright paperwork done?

I signed copyright assignment papers for gnus back in 2001, but those
are only valid for those changes to gnus. I've requested assignment
paperwork for GNU Emacs changes now.

Cheers,
--
Andreas Fuchs, (http://|im:asf@|mailto:asf@)boinkor.net, antifuchs